Page MenuHomePhabricator

[clang][cli] Documentation of CompilerInvocation parsing/generation
ClosedPublic

Authored by jansvoboda11 on Feb 1 2021, 9:06 AM.

Details

Summary

This patch documents command line parsing in -cc1, CompilerInvocation and the marshalling infrastructure for command line options.

Diff Detail

Event Timeline

jansvoboda11 requested review of this revision.Feb 1 2021, 9:06 AM
jansvoboda11 created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 1 2021, 9:06 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript

Polish, document ImpliedByAnyOf and ShouldParse

jansvoboda11 retitled this revision from [WIP][clang][cli] Documentation of CompilerInvocation parsing/generation to [clang][cli] Documentation of CompilerInvocation parsing/generation.Feb 3 2021, 8:25 AM
jansvoboda11 edited the summary of this revision. (Show Details)
Bigcheese added inline comments.Feb 4 2021, 8:55 AM
clang/docs/InternalsManual.rst
590
711

You should create a separate section here for listing the classes.

770
843

Past this you should add a section providing instructions on how to actually add marshaling for an option, and cover what to do if the automatic infrastructure isn't enough.

Fix typos, add section heading above the list of marshalling classes, add new section (high-level overview of adding new command line option)

@Bigcheese I have addressed your feedback with the latest update. WDYT?

Bigcheese accepted this revision.Feb 16 2021, 8:45 AM

Needs an example in the "Creating new Command Line Option" section, but with that it looks good.

This revision is now accepted and ready to land.Feb 16 2021, 8:45 AM

Add example to "Adding new Command Line Option", polish the rest.

This revision was landed with ongoing or failed builds.Feb 17 2021, 5:31 AM
This revision was automatically updated to reflect the committed changes.